Archived

This topic is now archived and is closed to further replies.

  • 0

HELP!!!

Question

Posted · Report post

Hi, I downloaded and installed the Base theme for Platform Pro but when I tried to activate it, I got this message and now my site is broken and I got this message: Warning: require_once(/home/woodrow6/public_html/wp-content/themes/PlatformPro/core/core.init.php) [function.require-once]: failed to open stream: No such file or directory in /home/woodrow6/public_html/wp-content/themes/platformbase/functions.php on line 4 Fatal error: require_once() [function.require]: Failed opening required '/home/woodrow6/public_html/wp-content/themes/PlatformPro/core/core.init.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/woodrow6/public_html/wp-content/themes/platformbase/functions.php on line 4 What do I need to do to fix it... please help! Thanks

Share this post


Link to post
Share on other sites

24 answers to this question

Posted · Report post

/base/ is not a singular theme, it works in tandem with Platform Pro, so upload PlatformPro to your themes directory, and activate it... then activate /base/.

Share this post


Link to post
Share on other sites

Posted · Report post

I was already using Pro when I uploaded and activated /base/

Share this post


Link to post
Share on other sites

Posted · Report post

Make sure PlatformPro is actually all lowercase... "platformpro"

Share this post


Link to post
Share on other sites

Posted · Report post

can't even log-on - site is broken. can't access anything. all i get is that message. is a WP re-install the only option?

Share this post


Link to post
Share on other sites

Posted · Report post

Hmmm... use FTP, verify that the theme directory name is 'platformpro' before doing anything drastic. Based on the information you posted, it looks like it is capitalized. I didn't think it would break it altogether.

Share this post


Link to post
Share on other sites

Posted · Report post

theme name for both is definitely lower case.

Share this post


Link to post
Share on other sites

Posted · Report post

It certainly looks like it was installed at "PlatformPro" and not "platformpro" so I would FTP into the site, rename the directories for platformpro and base to something else, then log in again. You'll get brought back to the default admin page and the default theme will be reactivated if present. edit: What version are/were you using?

Share this post


Link to post
Share on other sites

Posted · Report post

re: version - most recent of both. i used WP theme installer rather than uploading them via FTP. all folders have lowercase but will do a rename from cpanel when next at desk. if a rename doesn't work, is a fresh install the best option? thanks for help. pro was working perfectly until i tried to activate /base/. then it just broke completely. and i have no idea why.

Share this post


Link to post
Share on other sites

Posted · Report post

Hi Stuart, Cant you just reactivate PlatformPro for now?

Share this post


Link to post
Share on other sites

Posted · Report post

i can't do anything...i go to my site and those fatal error messages are all i get.

Share this post


Link to post
Share on other sites

Posted · Report post

This is the symptom we all had for an earlier version of Base/Pro. The capitalization of PlatformPro is the tip-off. I would bet that you somehow uploaded an older version of the themes accidentally.... Go into your cPanel file manager and rename the themes: public_html/wp-content/themes/PlatformPro to public_html/wp-content/themes/old-PlatformPro and public_html/wp-content/themes/platformbase to public_html/wp-content/themes/old-platformbase Then reload your site and you should get back to the good old "Twenty Ten" theme. Re-download the Base and Platform Pro files from your account and re-upload them to your site (Platform first, and activated; then Base, and activated). We found that even if we re-named the directory from PlatformPro to platformpro it didn't work right. I think if you reload your Platform Pro you may be able to activate old-platformbase and see all the changes you had made. Hopefully this is helpful despite being partly rehash of existing info above. :) Chris

Share this post


Link to post
Share on other sites

Posted · Report post

thanks. i'm definitely using the latest version of pro as i only uploaded it last week. but will do a name change on everything and see what happens. thanks for all the advice. when in office tomorrow (i'm in the uk) i'll make all suggested changes and advise accordingly.thanks for the help.

Share this post


Link to post
Share on other sites

Posted · Report post

Forwarding to developer. Thanks, Bryan

Share this post


Link to post
Share on other sites

Posted · Report post

Chris and everyone: thanks for the really detailed help but still have same problem. I renamed everything and then downloaded the latest versions of Platform and Base. I then uploaded Platform and Activated and that worked fine - everything was back to normal. Result! But then when I uploaded and activated Base, I hit the same problem again and got the same message as before: Warning: require_once(/home/woodrow6/public_html/wp-content/themes/PlatformPro/core/core.init.php) [function.require-once]: failed to open stream: No such file or directory in /home/woodrow6/public_html/wp-content/themes/platformbase/functions.php on line 4 Fatal error: require_once() [function.require]: Failed opening required '/home/woodrow6/public_html/wp-content/themes/PlatformPro/core/core.init.php' (include_path='.:/usr/lib/php:/usr/local/lib/php') in /home/woodrow6/public_html/wp-content/themes/platformbase/functions.php on line 4 There are no other clashing Platform themes - just TwentyTen. Is it something I'm doing wrong? All this 'cos I wanted to add some custom CSS to change body font to Droid+Sans. Oh well - the joys of web!

Share this post


Link to post
Share on other sites

Posted · Report post

OK. I've got Platform re-installed and working. WP is telling me that "The parent theme is missing. Please install the "PlatformPro" parent theme." Yet I have done this and everytime I activate /base it breaks. Think I'll leave it alone for a while. Thanks for all the help guys - really appreciated! Stuart

Share this post


Link to post
Share on other sites

Posted · Report post

Sorry Stuart, it sounds like the developers need to get involved to help sort you out. On the positive side, your site is running and looks good so that is some progress from yesterday. :) Cheers, Chris

Share this post


Link to post
Share on other sites

Posted · Report post

I just wanted to note I am encountering the exact same issue. PlatformPro activates fine. Then if I add Base I can activate right after I add, but I get the errors. If I upload Base and then click to Manage Themes page, it says that I cannot activate because the parent theme is not there.

Share this post


Link to post
Share on other sites

Posted · Report post

What hosts are you on Kelby and Stuart? I've set up 1.1.2 with Base on most of my sites now, and I've not run into this problem. Could it be, pardon the pun, platform specific?

Share this post


Link to post
Share on other sites

Posted · Report post

I just "updated" PlatformPro/Base and had the same issue. I did a short-term fix by renaming platformpro to PlatformPro via FTP. The style.css in platformbase is definitely calling for PlatformPro: 5164664718_510f95b029.jpg Also, it's showing version 1.0.1 -- is that right? I just downloaded it today, but I thought it was on a later version.

Share this post


Link to post
Share on other sites

Posted · Report post

Hey Dominic, this looks like an older version of PlatformBase. I think we're on version 1.0.3 However, we don't recommend updating this theme as it's YOUR site platform and used for your customization. So just change the calls to the appropriate folder name; and you're good to go.

Share this post


Link to post
Share on other sites

Posted · Report post

Thanks Andrew. I just downloaded version 1.0.1 from your site today. However this happened, it seems to be the cause of the problem for new downloaders of the product. I know you fixed some bugs in 1.0.3, but it's currently not the product being offered for download.

Share this post


Link to post
Share on other sites

Posted · Report post

I Give Up... ``

Share this post


Link to post
Share on other sites

Posted · Report post

Dom, Just tested and you're right. Argh.. so frustrating.. I'll fix ASAP!

Share this post


Link to post
Share on other sites